"api工厂" 使用手册

api接口开箱即用,云后台管理,助力前端,解放后端开发;

不懂编程也能独立开发应用,小步快跑,快速创业!

旨为更懂你!

没有找到可以构建的NPM包

可能的原因如下,请逐个排查:


还不是npm项目


查看你的项目根目录下有没有 package.json 文件,没有的话,说明你的项目还不是 npm 项目,请先通过下面的命令初始化:


npm init


完成后,检查 package.json 文件有没有生成,没有的话,说明上面的命令你还没运行成功,仔细看提示信息,是否运行出错


未安装任何npm模块


你需要先通过  npm install 命令安装你需要的 npm 插件,安装以后才可以构建npm模块 (如果你都没安装,构建空气么?^_^)


如果你安装了 npm 模块,在你的项目根目录会看到 node_modules 文件夹的,里面就是你安装的 npm 模块


开发工具版本太低


低版本的小程序开发工具,不支持 npm 模块,所以,请升级到最新版本的开发工具再试


调试基础库版本太低


同样的,低版本的调试基础库也不支持 npm 模块,请选择当前使用人数最多的版本再试


image.png


其他问题


上述排查无法解决,请告知我们协助帮你解决